using System;
using System.Windows.Input;
using GalaSoft.MvvmLight;
using GalaSoft.MvvmLight.Command;
using Benday.MvvmTips.WcfDataAccess;
using Benday.MvvmTips.Common;
using Benday.MvvmTips.Models;

namespace Benday.MvvmTips.ViewModels
{
    public class PersonViewModelWithViewModelFields
    {
        public ViewModelField<int> Id { get; set; }
        public ViewModelField<string> FirstName { get; set; }
        public ViewModelField<string> LastName { get; set; }
        public ViewModelField<string> EmailAddress { get; set; }
        public ViewModelField<int> Salary { get; set; }
    }
}
