﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace Benday.MvvmTips.Controls
{
    public partial class BendayMessageBox : ChildWindow
    {
        public BendayMessageBox()
        {
            InitializeComponent();
        }

        public void Initialize(string title, string message)
        {
            this.Title = title;
            m_labelMessage.Text = message;
        }

        public void Initialize(string title, string message, string exceptionMessage)
        {
            Initialize(title, String.Format("{0}{1}{2}", message, Environment.NewLine, exceptionMessage));
        }

        private void OKButton_Click(object sender, RoutedEventArgs e)
        {
            this.DialogResult = true;
            Close();
        }

        private void m_btnCopyMessageToClipboard_Click(object sender, RoutedEventArgs e)
        {
            Clipboard.SetText(m_labelMessage.Text);
        }

        private void ChildWindow_Closed(object sender, EventArgs e)
        {
            Application.Current.RootVisual.SetValue(Control.IsEnabledProperty, true);
        }
    }
}

