using System;
using System.Windows.Data;

namespace Benday.MvvmTips.Helpers
{
    public class ShortDateValueConverter : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            if (value == null || (value is DateTime) == false)
            {
                return String.Empty;
            }
            else
            {
                DateTime temp = (DateTime)value;

                return temp.Date.ToShortDateString();
            }
        }

        public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            return value;
        }
    }
}
