using System;
using System.Windows.Data;

namespace Benday.MvvmTips.Helpers
{
    public class ToUpperCaseValueConverter : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            if (value == null)
            {
                return String.Empty;
            }
            else
            {
                return value.ToString().ToUpper();
            }
        }

        public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            return value;
        }
    }
}