using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using GalaSoft.MvvmLight;
using GalaSoft.MvvmLight.Command;
using Benday.MvvmTips.WcfDataAccess;
using Benday.MvvmTips.Common;
using Benday.MvvmTips.Models;

namespace Benday.MvvmTips.ViewModels
{
    public interface IPersonViewModel
    {
        ICommand LoadCommand { get; }
        ICommand SaveCommand { get; }
        ICommand CancelCommand { get; }
        ICommand ValidateCommand { get; }
        ViewModelField<int> IdToLoad { get; set; }
        ViewModelField<string> Message { get; set; }
        ViewModelField<int> Id { get; set; }
        ViewModelField<string> FirstName { get; set; }
        ViewModelField<string> LastName { get; set; }
        ViewModelField<string> EmailAddress { get; set; }
    }
}
