using System;
using System.Windows.Input;
using GalaSoft.MvvmLight;
using GalaSoft.MvvmLight.Command;
using Benday.MvvmTips.WcfDataAccess;
using Benday.MvvmTips.Common;
using Benday.MvvmTips.Models;

namespace Benday.MvvmTips.ViewModels
{
    public class PersonViewModelWithoutViewModelFields
    {
        public int Id { get; set; }

        public string FirstName { get; set; }
        public string IsFirstNameValid { get; set; }
        public string FirstNameValidationMessage { get; set; }

        public string LastName { get; set; }
        public bool IsLastNameValid { get; set; }
        public string LastNameValidationMessage { get; set; }

        public string EmailAddress { get; set; }
        public bool IsEmailAddressValid { get; set; }
        public string EmailAddressValidationMessage { get; set; }

        public int Salary { get; set; }
        public bool IsSalaryVisible { get; set; }
        public bool IsSalaryValid { get; set; }
        public string SalaryValidationMessage { get; set; }
    }
}