﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace Benday.MvvmTips.WcfDataAccess
{
    public class WcfPersonRepository
    {
        public void LoadById(int id)
        {
            // create an instance of the service proxy
            var client = new PersonService.PersonServiceClient();

            // subscribe to the "completed" event for the service method
            client.LoadByIdCompleted +=
                new EventHandler<PersonService.LoadByIdCompletedEventArgs>(
                    client_LoadByIdCompleted);

            // call the service method
            client.LoadByIdAsync(id);
        }

        void client_LoadByIdCompleted(object sender,
            PersonService.LoadByIdCompletedEventArgs e)
        {
            // this method is called after the call to LoadByIdAsync() is finished

            PersonService.PersonDto personReturnedByService = e.Result;

            // ...
        }
    }
}